module.exports.__fsLocationMap = [[4, 14, 3, 16], [4, 8, 3, 24], [4, 14, 3, 30], [5, 3, 4, 3], [5, 20, 4, 16], [5, 32, 4, 24], [5, 20, 5, 63], [5, 32, 6, 63], [5, 32, 7, 5], [5, 32, 7, 14], [6, 5, 8, 5], [6, 10, 8, 10], [8, 3, 11, 3], [8, 12, 11, 8], [8, 21, 11, 13], [9, 5, 12, 5], [9, 8, 12, 9], [9, 15, 12, 16], [9, 23, 12, 24], [10, 7, 13, 7], [10, 12, 13, 12], [10, 17, 13, 17], [10, 24, 13, 24], [11, 5, 14, 12], [11, 10, 14, 16], [11, 17, 14, 23], [11, 25, 14, 31], [12, 7, 15, 7], [12, 12, 15, 12], [12, 19, 15, 19], [14, 3, 19, 3], [14, 12, 19, 8], [14, 12, 20, 63], [15, 5, 21, 5], [15, 12, 21, 12], [15, 17, 21, 17], [15, 22, 21, 22]];
module.exports.__esModule = true;
const FirescriptRuntime = require('firescript-runtime').FirescriptRuntime;
module.exports.Model = class Model {
  constructor (schema, config) {
    FirescriptRuntime.paramTyping(FirescriptRuntime.TYPE_OBJ, schema, 'schema');
    FirescriptRuntime.paramTyping(FirescriptRuntime.TYPE_OBJ, config, 'config');
    config = config || {};
    this.data = {};
  }

  set (key, value) {
    if (typeof key === 'string') {
      this.data[key] = value;
    } else if (typeof key === 'object') {
      this.data = value;
    }
  }

  get (key) {
    FirescriptRuntime.paramTyping(FirescriptRuntime.TYPE_STR, key, 'key');
    return this.data[key];
  }
};
