module.exports.__fsLocationMap = [[1, 8, 2, 1], [1, 14, 2, 7], [2, 3, 3, 3], [3, 5, 3, 13], [3, 11, 3, 19], [4, 5, 3, 25], [4, 11, 3, 31], [6, 3, 4, 3], [7, 5, 5, 5], [7, 12, 5, 12], [7, 20, 5, 20], [7, 24, 5, 24], [7, 37, 5, 37], [7, 46, 5, 46], [7, 56, 5, 56], [8, 5, 6, 5], [9, 7, 7, 7], [10, 9, 8, 9], [10, 17, 8, 17], [11, 9, 9, 9], [11, 19, 9, 19], [12, 9, 10, 9], [12, 20, 10, 20], [14, 3, 14, 3], [15, 5, 14, 12], [15, 12, 14, 19], [17, 3, 15, 3], [18, 5, 16, 5], [18, 17, 16, 17], [19, 5, 17, 5], [19, 13, 17, 13], [20, 5, 18, 5], [20, 16, 18, 16], [22, 3, 20, 3], [23, 5, 21, 5], [23, 14, 21, 14], [24, 5, 22, 5], [24, 13, 22, 13], [25, 5, 23, 5], [25, 14, 23, 14], [27, 3, 25, 3], [27, 12, 25, 12], [1, 14, 27, 16], [1, 14, 27, 30]];
module.exports.__esModule = true;
const defaultConf = {
  server: { port: 7448, host: '0.0.0.0' },
  log: {
    level: process.env.NODE_ENV === 'test' ? 'error' : 'sys',
    logger: {
      console: {
        colors: true,
        template: 'minimal',
        timestamp: true
      }
    }
  },
  debug: { level: 'sys' },
  api: {
    errorLevel: 'error',
    pretty: false,
    parseTime: false
  },
  pingRoute: {
    enabled: true,
    status: 204,
    message: ''
  },
  cmdPath: 'bin/'
};
module.exports.defaultConf = defaultConf;
