module.exports.__fsLocationMap = [[1, 8, 2, 7], [1, 26, 2, 30], [1, 8, 2, 38], [2, 13, 3, 7], [2, 25, 3, 24], [3, 8, 4, 7], [3, 23, 4, 27], [3, 8, 4, 39], [5, 1, 5, 1], [5, 7, 5, 7], [5, 16, 5, 16], [5, 26, 5, 26], [7, 1, 6, 1], [7, 7, 6, 7], [8, 1, 7, 1], [8, 7, 7, 7], [10, 14, 8, 16], [10, 8, 8, 31], [10, 14, 8, 37], [11, 3, 9, 3], [11, 16, 9, 16], [11, 16, 10, 5], [11, 16, 10, 12], [12, 5, 11, 5], [12, 10, 11, 10], [12, 17, 11, 17], [12, 22, 11, 22], [12, 30, 11, 30], [13, 5, 12, 5], [13, 10, 12, 10], [13, 17, 12, 17], [13, 22, 12, 22], [13, 30, 12, 30], [14, 5, 13, 5], [14, 10, 13, 10], [14, 17, 13, 17], [14, 22, 13, 22], [14, 30, 13, 30], [15, 5, 14, 5], [15, 10, 14, 10], [15, 20, 14, 20], [15, 25, 14, 25], [15, 36, 14, 36], [17, 5, 15, 5], [17, 8, 15, 9], [17, 9, 15, 10], [17, 14, 15, 15], [18, 7, 16, 7], [18, 13, 16, 13], [18, 17, 16, 17], [18, 23, 16, 23], [20, 5, 18, 5], [20, 10, 18, 10], [20, 21, 18, 21], [20, 26, 18, 26], [22, 3, 21, 3], [23, 5, 22, 5], [23, 8, 22, 9], [23, 9, 22, 10], [23, 31, 22, 32], [23, 34, 22, 35], [23, 39, 22, 40], [23, 47, 22, 48], [23, 52, 22, 53], [24, 7, 23, 7], [24, 13, 23, 13], [24, 28, 23, 28], [24, 35, 23, 35], [26, 7, 24, 7], [26, 20, 24, 20], [26, 34, 24, 34], [27, 7, 25, 7], [27, 20, 25, 20], [30, 7, 27, 7], [30, 13, 27, 13], [30, 22, 27, 22], [31, 7, 28, 7], [31, 14, 28, 14], [31, 21, 28, 21], [31, 26, 28, 26], [31, 32, 28, 32], [31, 37, 28, 37], [72, 5, 60, 5], [72, 12, 60, 12], [72, 34, 60, 34], [72, 37, 60, 37], [72, 42, 60, 42], [72, 50, 60, 50], [72, 55, 60, 55]];
module.exports.__esModule = true;
const createServer = require('http').createServer;
const SockJS = require('sockjs');
const getLogger = require('logtopus').getLogger;
const logger = getLogger('fireio:socket');
const socketServerInstances = {};
const socketChannels = {};
module.exports.SocketServer = class SocketServer {
  constructor (opts) {
    opts = opts || {};
    this.port = opts.port || 9889;
    this.host = opts.host || '127.0.0.1';
    this.path = opts.path || 'fireio-socket';
    this.channel = opts.channel || 'test';
    if (!this.channel) {
      throw new Error('No channel was set!');
    }
    this.__socket = this.getSocketServer();
  }

  getSocketServer () {
    if (!socketServerInstances[`${this.host}:${this.port}`]) {
      const socketServer = SockJS.createServer();
      socketServer.connections = [  ];
      socketServer.channels = {};
      // TODO share server instances
      const server = createServer();
      server.listen(this.port, this.host);
      //const prefix = this.path.replace(/^\//, 'nn')
      //socketServer.installHandlers(server, {
      //    prefix: prefix
      //  })
      //socketServer.on('connection', (conn) =>
      //  logger.sys('New connection', conn.id, conn.pathname)
      //  socketServerInstances['${this.host}:${this.port}'].connections.push(conn)
      //  conn.on('data', (msg) =>
      //    msg = JSON.parse(msg)
      //    logger.req('Got socket message ' + conn.pathname + ' @ ' + msg.channel + ' : ' + msg.eventName, msg.args)
      //    const args = msg.args || []
      //    args.unshift(msg.eventName)
      //    args.push(conn)
      //    if !socketServer.channels.hasOwnProperty(msg.channel)
      //      logger.warn('Channel ' + msg.channel + ' is not registered!')
      //      return
      //    socketServer.channels[msg.channel].emit.apply(socketServer.channels[msg.channel], args)
      //  )
      //  conn.on('close', (err) =>
      //    logger.sys('Close socket connection', err)
      //    const len = socketServerInstances['${this.host}:${this.port}'].connections.length
      //    for i = 0; i < len; i++
      //      if socketServerInstances['${this.host}:${this.port}'].connections[i] === conn
      //        socketServerInstances['${this.host}:${this.port}'].connections.splice(i, 1)
      //        break
      //    if socketServer.monitoring
      //      socketServer.monitoring.emit('client.disconnect')
      //  if (socketServer.monitoring) {
      //    socketServer.monitoring.emit('client.connect')
      //socketServerInstances['${this.host}:${this.port}'] = socketServer
    }
    return socketServerInstances[`${this.host}:${this.port}`];
  }
};
